package com.ylx.point.enums;
import lombok.Getter;

/**
 * 任务名称枚举
 */
@Getter
public enum TaskNameEnum {

    COMPLETE_ORDER(1, "完成订单"),

    RECHARGE_TASK(2, "账户充值"),

    SHARE_ACCOUNT(3, "分享服务号"),

    BROWSE_DYNAMIC(4, "浏览动态"),

    BROWSE_MERCHANT(5, "浏览商户"),

    USER_SIGN_IN(6, "每日签到"),

    GOODS_REFUND(7, "商品退款"),

    /**
     * 商城消费(用于积分下单)
     */
    GOODS_CONSUME(8, "商城消费"),

    POINT_EXPIRE(9, "积分到期"),

    LOCAL_LIVE_LOTTERY(10, "抽奖");

    private final Integer code;
    private final String info;

    TaskNameEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

}
